/*
 使用说明
 *
 * 1、在html中添加id为MC_selectBox的标签
 * 2、将需要下拉展示的数据整理成json串  包含name,id
 * 3、将整理的数据作为第一个参数传入
 * 4、把用原生js获取到的id为MC_selectBox的DOM作为第二个参数传入，也就是说，绑定的id名可以自定义
 * 5、第三个参数为点击li标签的回调事件
 * */



//加载自定义下拉列表
function loadMCSelect(data,DOMText,callback){
	var DOMs = document.getElementById(DOMText);
	var con = '<div class="MC_selectText"><span class="MC_selectName">\
					'+data[0].name+'</span><span class="MC_ICON mui-icon mui-icon-arrowdown"></span>\
				</div><div class="MC_bg">\
				<ul class="MC_selectUl">\
					<div class="topTriangle topTriangle1"></div>\
					<div class="topTriangle topTriangle2"></div>'
	for(var i = 0;i < data.length;i++){
		con += '<li data-id = "'+data[i].id+'">'+data[i].name+'</li>'
	}
	
	con += '</div></ul>'
	if(DOMs!=""&&DOMs!=undefined&&DOMs!=null){
		DOMs.innerHTML = con;
	}else if(document.getElementById("MC_selectBox")!=null){
		document.getElementById("MC_selectBox").innerHTML = con;
	}else{
		console.log("请添加id为MC_selectBox的标签,或传入第二个参数")
	}
	clickHide()
	clickBtn(DOMText);
	return callback();
}

//点击空白隐藏
function clickHide(){
	var MC_bg = document.getElementsByClassName('MC_bg')[0]
	mui(document).on("click",".MC_bg",function(){
		MC_bg.style.display = "none";
		document.getElementsByClassName('MC_ICON')[0].classList.remove('mui-icon-arrowup');
		document.getElementsByClassName('MC_ICON')[0].classList.add('mui-icon-arrowdown');
	})
}

//单击按钮显隐
function clickBtn(DOMText){
	//显示隐藏事件
	var MC_bg = document.getElementsByClassName('MC_bg')[0]
	mui("#"+DOMText).on("click",".MC_selectText",function(){
		if(MC_bg.style.display === 'block'){
			MC_bg.style.display = "none";
			document.getElementsByClassName('MC_ICON')[0].classList.remove('mui-icon-arrowup');
			document.getElementsByClassName('MC_ICON')[0].classList.add('mui-icon-arrowdown');
		}else{
			MC_bg.style.display = "block";
			document.getElementsByClassName('MC_ICON')[0].classList.remove('mui-icon-arrowdown');
			document.getElementsByClassName('MC_ICON')[0].classList.add('mui-icon-arrowup');
		}
	})
}
