//撤回手写
function backPen() {
    arr.pop();
    obj.clearRect(0, 0, width, height);
    if (arr.length > 0) {
        obj.putImageData(arr[arr.length - 1], 0, 0, 0, 0, width, height);
    }
}

//清空canvas
function clearCanvas() {
    arr = [];
    obj.clearRect(0, 0, width, height);
}

//放大
function big() {
    tz += 0.2;
    bigOrSmallDraw(tz);
}
//还原
function reduction(){
    tz = 1;
    bigOrSmallDraw(tz);
}
//缩小
function small() {
    tz -= 0.2;
    if (tz < 0) {
        tz = 0;
        return;
    }
    bigOrSmallDraw(tz);
}



function convertPoint(ev) {
    var ev = ev;
    if(!vm.lockOrientationType){
    	return {
	        x: ev.touches[0].pageX - getCanvasScrollX(),
	        y: ev.touches[0].pageY - topBarHeight - getCanvasScrollY()
	    };
    }else{
    	return {
	        x: ev.touches[0].pageX - getCanvasScrollX(),
	        y: ev.touches[0].pageY - getCanvasScrollY()
	    };
    }
    
}

function findPoint(p1, p2, k) {
    return {
        x: (p2.x - p1.x) * k + p1.x,
        y: (p2.y - p1.y) * k + p1.y
    };
}



function addPoint(p) {
    var bw = img.width * tz / img.width;
    var lp = penList[penList.length - 1];
    if (Math.abs(p.x - lp.x) > ignored || Math.abs(p.y - lp.y) > ignored) {
        penList.push(p);
        penAllList.push({'x':p.x / bw,'y': p.y / bw});
        return true;
    }
    return false;
};

function canvasValueEcho(isPut){
    if(vm.canvasResult==undefined || vm.canvasResult==null ||vm.canvasResult.length==0){
        return;
    }
    var result = vm.canvasResult.canvasResult;
  /*  var bw = img.width * tz / img.width;*/
       /* var textAreaResult = result[i].textAreaResult;*/
        for(var p=0;p<result.length;p++) {
            var pen = result[p];
            xyList.push(pen);
            xyListTwo.push(pen);
            /*if (pen.type != 'pen') {
                var draw = new Draw(obj, {
                    type: 'stroke',
                    color: pen.color,
                    width: pen.linewidth
                });
                draw[pen.type](pen.x * bw, pen.y * bw, pen.w * bw, pen.h * bw);
            } else {
                drawPenList(pen, bw);
            }*/
       /*
        arr.push(obj.getImageData(0, 0, width, height));*/
    }
    var json = JSON.stringify(xyList);
        xyList = JSON.parse(json);
        drawing(true);
        xyListTwo = JSON.parse(JSON.stringify(xyListTwo))

    /*if(isPut && arr.length>0){
        obj.putImageData(arr[arr.length - 1], 0, 0, 0, 0, width, height);
    }*/
}


/*
这条线是否在图上
 */
function lineHasList(x,y){
    var bw = tz;
    x = x / bw;
    y = y / bw;
    for(var i=xyList.length -1;i>=0;i--){
        var xy = xyList[i];
        if(xy.type=='line'){
            if(isOnLine({'x':xy.x,'y':xy.y},{'x':xy.w,'y':xy.h},{'x':x,'y':y})){
                return i;
            }
        }else if(xy.type=='circle'){
            var r = Math.sqrt(Math.pow(xy.x - xy.w, 2) + Math.pow(xy.y - xy.h, 2));
            if(isInsideCircle(xy.x,xy.y,r,x,y)){
                return i;
            };
        }else if(xy.type=='pen'){
            if(isOnPen(xy.xy,{'x':x,'y':y})){
                return i;
            };
        }else if(xy.type='input'){
            var oldX,oldY;
            if(xy.x < x){
                oldX = x - xy.x;
            }else{
                oldX = xy.x - x;
            }
            if(xy.y < y){
                oldY = y - xy.y;
            }else{
                oldY = xy.y - y;
            }
            if(oldX<100 && oldY <20){
                return i;
            }
        }
    }
    return -1;
}


function isInsideCircle(x0, y0, r, x, y) {
    var s = ((x - x0) * (x - x0) + (y - y0) * (y - y0));
    if(s< r * r){
        if(((r*r) - s) < 25000){
            return true;
        }
    }
    return false;
}

function isOnPen(resultList,p) {
    var p1;
    var p2;
    for (var i = resultList.length - 1; i >= 0; i--) {
        if (i == resultList.length - 1) {

        } else {
            p1 = {'x': resultList[i + 1].x, 'y': resultList[i + 1].y};
            p2 = {'x': resultList[i].x, 'y': resultList[i].y};
            if (isOnLine(p1, p2, p)) {
                return true;
            }
        }
    }
    return false;
}

function isOnLine(p1, p2, p) {
    var nStartX = p1.x;
    var nStartY = p1.y
    var nEndX = p2.x;
    var nEndY = p2.y
    var nDotX = p.x;
    var nDotY = p.y;
    
    var bSwitch = false;
    var nPointToLineDistance;
    var nOffsetX = nDotX - nStartX;
    var nOffsetY = nDotY - nStartY;
    var dbSquareOfDistance = Math.pow(Math.abs(nOffsetX), 2) + Math.pow(Math.abs(nOffsetY), 2);
    var dbPointToptStartDistance = Math.sqrt(dbSquareOfDistance);
    nOffsetX = nDotX - nEndX;
    nOffsetY = nDotY - nEndY;
    dbSquareOfDistance = Math.pow(Math.abs(nOffsetX), 2) + Math.pow(Math.abs(nOffsetY), 2);
    var dbPointToptEndDistance = Math.sqrt(dbSquareOfDistance);
    // 计算直线段的长度
    nOffsetX = nStartX - nEndX;
    nOffsetY = nStartY - nEndY;

    dbSquareOfDistance = Math.pow(Math.abs(nOffsetX), 2) + Math.pow(Math.abs(nOffsetY), 2);
    var dbLineLength = Math.sqrt(dbSquareOfDistance);
    if (dbPointToptStartDistance > dbPointToptEndDistance) {
        if (Math.pow(dbPointToptStartDistance, 2) > Math.pow(dbPointToptEndDistance, 2) + Math.pow(dbLineLength, 2)) {
            bSwitch = false;
            nPointToLineDistance = dbPointToptEndDistance;
        } else
            bSwitch = true;
    } else {
        if (Math.pow(dbPointToptEndDistance, 2) > Math.pow(dbPointToptStartDistance, 2) + Math.pow(dbLineLength, 2)) {
            bSwitch = false;
            nPointToLineDistance = dbPointToptStartDistance;
        } else
            bSwitch = true;
    }
// 经过点并与直线段垂直的直线与直线段的交点在直线段上.
    if (bSwitch) {
// 点到直线的距离
        if (nEndY == nStartY) {
            nPointToLineDistance = Math.abs(nDotY - nStartY);
        } else if (nEndX == nStartX) {
            nPointToLineDistance = Math.abs(nDotX - nStartX);
        } else {
            // 经过点并与X-Axis平行的直线与直线段所在直线相交，点到相交点的距离乘上相交角的正弦
            // 即为点到直线的距离
            var k = ((nEndY - nStartY)) / ((nEndX - nStartX));
            // 水平距离
            var dbPointToLineHorizotalDistance = Math.abs((nDotY - nStartY) / k + nStartX - nDotX);
            // 相交角
            var dbAngle = Math.atan(k);
            nPointToLineDistance = (dbPointToLineHorizotalDistance * Math.sin(Math.abs(dbAngle)));
        }
    }
//  console.log("nPointToLineDistance--:"+nPointToLineDistance);
    if(nPointToLineDistance<40){
        return true;
    }else{
        return false;
    }
}



function closeDoodlesBox(_this){
    var $btn = $(_this);
    if($('.doodlesBox').css("display") == 'none'){
    	vm.taskDetailDoodlesBoxShow = true;
    	
    	vm.objScrollTop = getCanvasScrollY();
    	vm.objScrollLeft = getCanvasScrollX();
    	
//  	mui('.mui-scroll-wrapper-main').scroll().destroy();
//  	$(".mui-scroll-wrapper-main").css("overflow","hidden");
//  	$("#scrollAll").css("overflow","hidden");
//  	$("#slider").css("overflow","hidden");
    	
//      $('.doodlesBox').show();
//      $btn.children('i').removeClass('g-font-size-18 iconfont icon-tuya');
//      $btn.children('i').addClass('g-font-size-26 fa fa-angle-left');
        localStorage.setItem("taskDetailDoodlesBoxShow",true);
    }else{
    	vm.taskDetailDoodlesBoxShow = false;
//      $('.doodlesBox').hide();
//      $btn.children('i').removeClass('g-font-size-26 fa fa-angle-left');
//      $btn.children('i').addClass('g-font-size-18 iconfont icon-tuya');
        localStorage.setItem("taskDetailDoodlesBoxShow",false);
    }
};


function drawText(t,color, x, y, w) {
/*    w = w.replace("px","");*/
    var context = obj;
    var chr = t.split("");
    var temp = "";
    var row = [];
    context.font = "16px Arial";
    context.fillStyle = color;
    context.textBaseline = "middle";

    for(var a = 0; a < chr.length; a++){
//  	console.log(context.measureText(temp).width)
//  	console.log(w)
        if(context.measureText(temp).width < (w-20) ){
            ;
        }
        else{
            row.push(temp);
            temp = "";
        }
        temp += chr[a];
    }
    row.push(temp);
    for (var b = 0; b < row.length; b++) {
        if(b==0){
            context.fillText(row[b], x, y);
        }else{
            context.fillText(row[b], x, y + ((b-1) + 1) * 20);
        }

    }

}


//获取视图滚动条的数据
function getCanvasScrollX(){
	return mui('#sliderBody').scroll().x;
}
function getCanvasScrollY(){
	return mui('#sliderBody').scroll().y;
}







